cat <<EOF
Summary: An outgoing mail processor, and SMTP tunnel.
Name: anubis
Version: $1
Release: 1
URL: http://anubis.sourceforge.net
Source: http://anubis.sourceforge.net/download/%{name}-%{version}.tar.gz
Group: Applications/Mail
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildRequires: make, install

%description
Anubis is an outgoing mail processor and the SMTP tunnel between MUA and MTA.
It is also a secure/anonymous SMTP client.
It supports: extended regular expressions, TLS/SSL encryption between MUA and MTA,
GnuPG (PGP) (via the GPGME library), SOCKS Proxy and WinGates, anonymous remailers,
the ESMTP authentication, and many more.

%define _rcdir /etc
%define _initdir /etc/init.d
%define _localbindir /usr/local/bin

%prep
%setup -q

%build
./configure
make
mv -vf ./src/anubis ./src/anubis-client
make distclean
./configure --with-optimize
make

%install
if [ -d \$RPM_BUILD_ROOT ]
then
 rm -fr \$RPM_BUILD_ROOT
fi
mkdir -p \$RPM_BUILD_ROOT%{_localbindir}
install -m 0700 ./src/anubis-client \$RPM_BUILD_ROOT%{_localbindir}/anubis
make install prefix=\$RPM_BUILD_ROOT/usr mandir=\$RPM_BUILD_ROOT%{_mandir}
mkdir -p \$RPM_BUILD_ROOT%{_initdir}
install -m 0755 ./scripts/redhat.init \$RPM_BUILD_ROOT%{_initdir}/anubis
mkdir -p \$RPM_BUILD_ROOT%{_rcdir}
install -m 0600 ./examples/defaultrc \$RPM_BUILD_ROOT%{_rcdir}/anubisrc

%clean
rm -vf ./src/anubis*
rm -vfr \$RPM_BUILD_ROOT
make distclean

%files
%defattr(-,root,root)
%doc COPYING AUTHORS README INSTALL NEWS ChangeLog TUTORIAL TODO anubis.html
%doc examples
%{_mandir}/man1/anubis.1*
%attr(0700,root,root) %{_sbindir}/anubis
%attr(0700,root,root) %{_localbindir}/anubis
%attr(0600,root,root) %config(noreplace) %{_rcdir}/anubisrc
%attr(0755,root,root) %config %{_initdir}/anubis

EOF

