/*
    extern.h

    This file is a part of Anubis.
    Copyright (C) 2001, 2002 The Anubis Team.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

extern const char version[];
extern const char copyright[];

extern int errno;
extern int output;
extern FILE *fp_global;
extern FILE *fp_config;
extern void *remote_client;
extern void *remote_server;
extern char local_user[65];
extern char remote_user[65];
extern unsigned long bytes_sent;

extern unsigned long mopt;
extern unsigned long popt;
extern unsigned long topt;

extern char *altrc;
extern unsigned long config_position;
#if !defined(NOREGEX) || defined(PCRE)
extern unsigned long regex_position;
#endif /* not NOREGEX || PCRE */

extern char *from;
extern char *to;
extern char *reply_to;
extern char *subject;
extern char *carbon_copy;
extern char *blind_carbon_copy;
extern char *msgbody;

extern char hostname[65];
extern char socks_proxy[65];
extern char socks_username[65];
extern char socks_password[65];
extern char wingate1[65];
extern char wingate2[65];
extern unsigned int portnumber;
extern unsigned int socks_port;
extern unsigned int wingate1_port;
extern unsigned int wingate2_port;

extern char smtp_mode[5];
extern char charset[16];
extern const char *trans_ptr;
extern const char uu_std[];
extern const char uu_base64[];
extern char *path;
extern char *filename;
extern char *body_file;
extern int uu_mode;

extern char *extra_h1;
extern char *extra_h2;
extern char *messageid;
extern char *xmailer;
extern char *fakehost;
extern char fakeip1[16];
extern char fakeip2[16];

extern char *rm_rrt;
extern char *rm_post;
extern char *rm_header;
extern char rm_lt[16];
extern char *rm_pgp_file;

extern char ansi_normal[];
extern char ansi_red[];
extern char ansi_green[];
extern char ansi_blue[];
extern char ansi_yellow[];
extern char ansi_ok[];
extern char ansi_failed[];
extern char ansi_warning[];

extern int nchild;
extern unsigned int tunnel_portnumber;
extern char tunnel_hostname[65];
extern char *execpath;
extern char **execargs;
extern char *addlist;
extern char *remlist;
extern char *boundary;
#ifndef NOFORK
extern time_t global_mtime;
#endif /* not NOFORK */

extern char username[65];
extern char password[256];

#ifndef NOSSL
 extern SSL_CTX *ctx_client;
 extern SSL *ssl_client;
 extern SSL_CTX *ctx_server;
 extern SSL *ssl_server;
 extern char *ssl_cert;
 extern char *ssl_key;
#endif /* not NOSSL */

#ifndef NOGPG
 extern char *pgp_keys;
 extern char *rm_pgp_key;
 extern char *pgp_sign_password;
#endif /* not NOGPG */

/* EOF */

