/*
    log.c

    This file is a part of Anubis.
    Copyright (C) 2001, 2002 The Anubis Team.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "headers.h"
#include "extern.h"

void mprintf(char *format, ...)
{
	va_list arglist;
	char txt[512];

	if (output == SILENT)
		return;

	va_start(arglist, format);
	#ifdef HAVE_VSNPRINTF
	vsnprintf(txt, 512, format, arglist);
	#else
	vsprintf(txt, format, arglist);
	#endif /* HAVE_VSNPRINTF */
	va_end(arglist);

	if (puts(txt) == EOF)
		quit(EXIT_FAILURE);
	return;
}

void info(int mode, char *format, ...)
{
	va_list arglist;
	char txt[512];

	if (output == SILENT)
		return;
	else if (mode > output)
		return;

	va_start(arglist, format);
	#ifdef HAVE_VSNPRINTF
	vsnprintf(txt, 512, format, arglist);
	#else
	vsprintf(txt, format, arglist);
	#endif /* HAVE_VSNPRINTF */
	va_end(arglist);

	#ifndef NOLOGS
	if ((popt & P_DAEMON) && !(popt & P_FOREGROUND))
		syslog(LOG_INFO | LOG_MAIL, txt);
	else {
	#endif /* not NOLOGS */
		if ((popt & P_FOREGROUND))
			mprintf("%s>%s [%d] %s", ansi_blue, ansi_normal, (int)getpid(), txt);
		else
			mprintf("%s>%s %s", ansi_blue, ansi_normal, txt);
	#ifndef NOLOGS
	}
	#endif /* not NOLOGS */

	return;
}

/* EOF */

