/*
    main.h

    This file is a part of Anubis.
    Copyright (C) 2001, 2002 The Anubis Team.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

const char version[] = "Anubis v2.0.0 BETA-5";
const char copyright[] = "Copyright (C) 2001, 2002 The Anubis Team.";

int output = NORMAL;

FILE *fp_global;
FILE *fp_config;
void *remote_client;
void *remote_server;
char local_user[65];
char remote_user[65];
unsigned long bytes_sent;

/* mopt, popt, topt... silly, but short :) */
unsigned long mopt; /* message options */
unsigned long popt; /* program options */
unsigned long topt; /* Tunnel options */

char *altrc;
unsigned long config_position;
#if !defined(NOREGEX) || defined(PCRE)
unsigned long regex_position;
#endif /* not NOREGEX || PCRE */

/* message fields */
char *from;
char *to;
char *reply_to;
char *subject;
char *carbon_copy;
char *blind_carbon_copy;
char *msgbody;

char hostname[65];
char socks_proxy[65];
char socks_username[65];
char socks_password[65];
char wingate1[65];
char wingate2[65];
unsigned int portnumber = 25;
unsigned int socks_port = 1080;
unsigned int wingate1_port = 23;
unsigned int wingate2_port = 23;

char smtp_mode[5] = "mail"; /* standard mode, for more read the RFC821 */
char charset[16];
char *path;
char *filename;
char *body_file;
int uu_mode;

char *extra_h1;
char *extra_h2;
char *messageid;
char *xmailer;
char *fakehost;
char fakeip1[16];
char fakeip2[16];

char *rm_rrt;
char *rm_post;
char *rm_header;
char rm_lt[16];
char *rm_pgp_file;

char ansi_normal[]  = ANSI_NORMAL;
char ansi_red[]     = ANSI_RED;
char ansi_green[]   = ANSI_GREEN;
char ansi_blue[]    = ANSI_BLUE;
char ansi_yellow[]  = ANSI_YELLOW;
char ansi_ok[]      = ANSI_OK;
char ansi_failed[]  = ANSI_FAILED;
char ansi_warning[] = ANSI_WARNING;

/* SMTP Tunnel */
int nchild;
unsigned int tunnel_portnumber = 25;
char tunnel_hostname[65];
char *execpath;
char **execargs;
char *addlist;
char *remlist;
char *boundary;
#ifndef NOFORK
time_t global_mtime;
#endif /* not NOFORK */

/* ESMTP AUTH */
char username[65];
char password[256];

#ifndef NOSSL
 SSL_CTX *ctx_client;
 SSL *ssl_client;
 SSL_CTX *ctx_server;
 SSL *ssl_server;
 char *ssl_cert;
 char *ssl_key;
#endif /* not NOSSL */

#ifndef NOGPG
 char *pgp_keys;
 char *rm_pgp_key;
 char *pgp_sign_password;
#endif /* not NOGPG */

/* EOF */

