/*
    rand.c

    This file is a part of Anubis.
    Copyright (C) 2001, 2002 The Anubis Team.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "headers.h"
#include "extern.h"

/**************************
  rand() SPECIAL EDITION
***************************/

int rand_se(int i)
{
	int seed;

	struct timeval tv;
	gettimeofday(&tv, 0);
	seed = (int)tv.tv_usec;

	seed = seed * 1103515245 + 12345;
	i = abs((int)((seed / 65536)%(i + 1)));

	return i;
}

int classc(void)
{
	int i;

	do {
		i = 255 - rand_se(63);
	} while(i > 223);

	return i; /* return something between <192,223> */
}

char *rand_md5(void)
{
	int c;
	char buf[256];
	unsigned char digest[16];
	static char ascii_digest[33];
	MD5_CTX context;

	#ifdef HAVE_SNPRINTF
	snprintf(buf, sizeof(buf),
	#else
	sprintf(buf,
	#endif /* HAVE_SNPRINTF */
	"%d%d%s%s", rand_se(32768), (int)getuid(), anubis_getlogin(), get_time_string(0));

	MD5_Init(&context);
	MD5_Update(&context, (unsigned char *)buf, strlen(buf));
	MD5_Final(digest, &context);

	for (c = 0; c < 16; c++)
		sprintf(ascii_digest + 2 * c, "%02x", digest[c]);

	return (char *)ascii_digest;
}

char *generate_mid(char *host)
{
	static char buf[256];

	#ifdef HAVE_SNPRINTF
	snprintf(buf, sizeof(buf),
	#else
	sprintf(buf,
	#endif /* HAVE_SNPRINTF */
	"%s@%s", rand_md5(), host);

	return buf;
}

/* EOF */

